Package owl.automaton.minimizations

## Class MinimizationUtil

- java.lang.Object
- - owl.automaton.minimizations.MinimizationUtil

-     public final class MinimizationUtil
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MinimizationUtil.MinimizationLevel` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S,A extends OmegaAcceptance> void` | `applyMinimization​(MutableAutomaton<S,? extends A> automaton, List<Minimization<S,A>> minimizationList)` |
    `static <S,A extends OmegaAcceptance> MutableAutomaton<S,A>` | `minimizeDefault​(MutableAutomaton<S,A> automaton, MinimizationUtil.MinimizationLevel level)` |
    `static <S> void` | `removeAndRemapIndices​(MutableAutomaton<S,?> automaton, it.unimi.dsi.fastutil.ints.IntSet indicesToRemove)` |
    `static <S> void` | `removeDeadStates​(MutableAutomaton<S,?> automaton)` | Remove states from the automaton that cannot belong to an infinite accepting path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### applyMinimization

          public static <S,A extends OmegaAcceptance> void applyMinimization​(MutableAutomaton<S,? extends A> automaton,
                                                                             List<Minimization<S,A>> minimizationList)

    - #### minimizeDefault

          public static <S,A extends OmegaAcceptance> MutableAutomaton<S,A> minimizeDefault​(MutableAutomaton<S,A> automaton,
                                                                                            MinimizationUtil.MinimizationLevel level)

    - #### removeAndRemapIndices

          public static <S> void removeAndRemapIndices​(MutableAutomaton<S,?> automaton,
                                                       it.unimi.dsi.fastutil.ints.IntSet indicesToRemove)

    - #### removeDeadStates

          public static <S> void removeDeadStates​(MutableAutomaton<S,?> automaton)

      Remove states from the automaton that cannot belong to an infinite accepting path.
      Parameters:
        `automaton` - The automaton considered by the analysis.